.gallery-main-container-parent {
    width: 100%;
    margin: 2% auto;
}

.gallery-main-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    margin: 20px auto;
}

.gallery-main-container .large-container {
    width: 51%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 0px;
    border-radius: 10px;

}

.gallery-main-container .large-container img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.gallery-main-container .large-container .img-1 {
    border-top-left-radius: 10px;
}



.gallery-main-container .large-container .img-2 {
    border-top-right-radius: 10px;
}

.gallery-main-container .large-container .img-3 {
    border-bottom-left-radius: 10px;
}

.gallery-main-container .large-container .img-4 {
    border-bottom-right-radius: 10px;
}

.gallery-main-container .small-container {
    width: 49%;
}

.gallery-main-container .small-container img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.gallery-main-container .large-container .img-1,
.gallery-main-container .large-container .img-2,
.gallery-main-container .large-container .img-3,
.gallery-main-container .large-container .img-4 {
    transform: translate(0, 0);
    transition: transform 1s ease;
    cursor: pointer;
}

.gallery-main-container .large-container .img-1:hover {
    transform: translate(-20px, -20px);
    z-index: 5;
    box-shadow: 10px 15px 0 hsl(219.13deg 27.71% 83.73%);
}

.gallery-main-container .large-container .img-2:hover {
    transform: translate(20px, -20px);
    z-index: 5;

    box-shadow: -10px 15px 0 hsl(219.13deg 27.71% 83.73%);

}

.gallery-main-container .large-container .img-3:hover {
    transform: translate(-20px, 20px);
    z-index: 5;

    box-shadow: 10px -15px 0 hsl(219.13deg 27.71% 83.73%);

}

.gallery-main-container .large-container .img-4:hover {
    transform: translate(20px, 20px);
    box-shadow: -10px -15px 0 hsl(219.13deg 27.71% 83.73%);
    z-index: 5;

}

@media (max-width: 768px) {
    .gallery-main-container {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 10px;
        margin: 10px auto;
    }

    .gallery-main-container .large-container .img-1:hover {
        transform: translate(-5px, -5px);
        z-index: 5;
        box-shadow: 5px 5px 0 hsl(219.13deg 27.71% 83.73%);
    }

    .gallery-main-container .large-container .img-2:hover {
        transform: translate(5px, -5px);
        z-index: 5;

        box-shadow: -5px 5px 0 hsl(219.13deg 27.71% 83.73%);

    }

    .gallery-main-container .large-container .img-3:hover {
        transform: translate(-5px, 5px);
        z-index: 5;
        box-shadow: 5px -5px 0 hsl(219.13deg 27.71% 83.73%);

    }

    .gallery-main-container .large-container .img-4:hover {
        transform: translate(5px, 5px);
        box-shadow: -5px -5px 0 hsl(219.13deg 27.71% 83.73%);
        z-index: 5;

    }
}